clang-tools 10.0.0

Classes | Namespaces | Functions
FS.h File Reference
`#include "Path.h"`
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/Support/VirtualFileSystem.h"`
Include dependency graph for FS.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::PreambleFileStatusCache
| Records status information for files open()ed or stat()ed during preamble build (except for the main file), so we can avoid stat()s on the underlying FS when reusing the preamble. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
Path | clang::clangd::removeDots (PathRef File)
| Returns a version of `File` that doesn't contain dots and dot dots. More...